/* Table of constant values */

static int c__4 = 4;

int main(void)
{
    /* Initialized data */
    static double ar[16]    /* was [4][4] */ = { 1.,.42,.54,.66,.42,1.,
                                     .32,.44,.54,.32,1.,.22,.66,.44,.22,1. };
    static double ai[16]    /* was [4][4] */ = { 0.,0.,0.,0.,0.,0.,0.,0.,
                                                 0.,0.,0.,0.,0.,0.,0.,0. };
    /* Local variables */
    static int ierr;
    extern int aeh2p_c(int *, double *, double *, double *, double *, int *);
    static int i__;
    static double ev[4], rab[16];

#define ai_ref(a_1,a_2) ai[(a_2)*4 + a_1 - 5]
#define ar_ref(a_1,a_2) ar[(a_2)*4 + a_1 - 5]

    for (i__ = 1; i__ <= 4; ++i__) {
        printf("\n %10.2e %10.2e %10.2e %10.2e \n",
            ar_ref(i__, 1), ar_ref(i__, 2), ar_ref(i__, 3), ar_ref(i__, 4));
    }
    for (i__ = 1; i__ <= 4; ++i__) {
        printf("\n %10.2e %10.2e %10.2e %10.2e \n",
            ai_ref(i__, 1), ai_ref(i__, 2), ai_ref(i__, 3), ai_ref(i__, 4));
    }
    aeh2p_c(&c__4, ar, ai, ev, rab, &ierr);

    for (i__ = 1; i__ <= 4; ++i__) {
        printf("\n %10.2e %10.2e %10.2e %10.2e \n",
            ar_ref(i__, 1), ar_ref(i__, 2), ar_ref(i__, 3), ar_ref(i__, 4));
    }
    for (i__ = 1; i__ <= 4; ++i__) {
        printf("\n %10.2e %10.2e %10.2e %10.2e \n",
            ai_ref(i__, 1), ai_ref(i__, 2), ai_ref(i__, 3), ai_ref(i__, 4));
    }
    printf("\n %24.14e %24.14e \n %24.14e %24.14e \n",
               ev[0], ev[1], ev[2], ev[3]);
    printf("\n %5i \n", ierr);
    return 0;
} /* main */

#undef ar_ref
#undef ai_ref
